## Name

DEALLOCATE — deallocate a prepared statement

## Synopsis

    DEALLOCATE [ PREPARE ] plan_name

## Description

`DEALLOCATE` is used to deallocate a previously prepared SQL statement. If you do not explicitly deallocate a prepared statement, it is deallocated when the session ends.

For more information on prepared statements, see PREPARE.

## Parameters

`PREPARE`

  This key word is ignored.

`plan_name`

  The name of the prepared statement to deallocate.

## Compatibility

The SQL standard includes a `DEALLOCATE` statement, but it is only for use in embedded SQL.

## See Also

EXECUTE, PREPARE